<?php
   include('session.php');
   include('header1.php');
   include('ietpartial.php');

// start role specific 
$user_role = $_SESSION['role'];

if ($_SERVER["REQUEST_METHOD"] == "GET") {

  $employeeid = $_GET['employeeID'];

  if(isset($_GET['updated'])) {

    $updated = $_GET['updated'];

  }

  $sqlGetEmployee = "SELECT * FROM employees WHERE employeeid = $employeeid";

  $resultEmployee = mysqli_query($db,$sqlGetEmployee);

  $countEmployee = mysqli_num_rows($resultEmployee);

  echo "<main role=\"main\" class=\"col-md-9 ml-sm-auto col-lg-10 px-4\">";

  echo "<div class=\"d-flex justify-content-between flex-wrap flex-md-nowrap align-items-center pt-3 pb-2 mb-3 border-bottom\">";

  if ($countEmployee !== 0) { 

  	while ($rowemployee = mysqli_fetch_array($resultEmployee)) {

    	echo "<h1 class=\"h2\">" . $rowemployee['employeesurname'] . ", " . $rowemployee['employeename'] . "</h1>";
      echo "<a href=\"viewEmployee.php?employeeID=" . $rowemployee['employeeid'] . "\" class=\"btn btn-sm btn-outline-secondary\" role=\"button\">Back to Employee File</a>";
    
    	echo "</div>";

      echo "<table>";

    	echo "<form method = \"POST\" action=\"editBenefitDetail1.php\">";

    	echo "<input type = \"hidden\" value = \"" . $rowemployee['employeeid'] . "\" name = \"employee_id\">";

      

        $sqlGetEmployeeBenefit = "
          SELECT 
          employees.employeeid AS employeeid,
          benefits.benefitid AS benefitid,
          benefits.benefitname AS benefitname,
          employee_benefits.benefitvalue AS benefitvalue
          FROM employee_benefits
          LEFT JOIN employees
          ON employee_benefits.employeeid = employees.employeeid
          LEFT JOIN benefits
          ON benefits.benefitid = employee_benefits.benefitid
          WHERE employee_benefits.employeeid = $employeeid";

      $resultEmployeeBenefits = mysqli_query($db,$sqlGetEmployeeBenefit);

      $countEmployeeBenefits = mysqli_num_rows($resultEmployeeBenefits);

        if ($countEmployeeBenefits !== 0) { 

          while ($rowBenefits = mysqli_fetch_array($resultEmployeeBenefits)) {
            echo "<tr><td>" . $rowBenefits['benefitname'] . "</td><td><input type=\"numeric\" name=\"" . $rowBenefits['benefitid'] . "\" value = \"" . $rowBenefits['benefitvalue'] . "\" class=\"form-control\"> </td></tr>";
          }

      }


    }

    echo "<tr><td><input type=\"submit\"></td></tr> </form> </table>";

   }

 }


include('footer1.php');
?>